View Issue Details

IDProjectCategoryView StatusLast Update
00315792.x IDE BugsBuild UWPPublic2020-01-08 09:34
ReporterDanAssigned ToFritz 
PriorityMediumSeverityB - MajorReproducibility100%
Status AssignedResolutionOpen 
PlatformUWPOSWindows 10OS Version1909
Product Version2.2.3 
Target Version2.3.0Fixed in Version 
Summary0031579: Build UWP: Debugger builds no longer connect, game just sits on a black screen and the build process ends
DescriptionUWP debugger builds no longer connect, game just sits on a black screen and the build process ends with a success condition regardless.

Whilst they appear to have a second issue we are yet to determine, we have a report from a user who says that UWP debugging has been broken for them in this way since at least 2.2.3, but that 2.2.1 (and indeed 1.4.9999) currently connect and debug fine on their PC, indicating that this is not caused by Windows Update 1903 and the changes to Device Portal as originally thought.


Steps To Reproduce1. Run any project for UWP Debugger.
2. Observe that the build "succeeds" and your Output Window doesn't indicate any errors, but the game does not actually start playing and therefore the debugger connection is not made.
3. Notice also that the debugger status is green, which is clearly wrong...
Repro: 100%
Additional Informationhttps://yoyogames.zendesk.com/agent/tickets/162972
TagsNo tags attached.
2.x IDE Found In2.2.3.436
2.x Runtime Found In2.2.3.344
2.x IDE Verified In
2.x Runtime Verified In

Activities

Dan

2020-01-07 17:42

Adminstrator  

UWPDebuggerLog.txt (14,153 bytes)
"cmd"  /c subst Z: "C:\Users\daniel.cleaton\AppData\Roaming\GameMakerStudio2\Cache\GMS2CACHE"

elapsed time 00:00:00.2959058s for command "cmd" /c subst Z: "C:\Users\daniel.cleaton\AppData\Roaming\GameMakerStudio2\Cache\GMS2CACHE" started at 01/07/2020 17:23:30
"cmd"  /c subst Y: "C:\Users\daniel.cleaton\AppData\Local\GameMakerStudio2\GMS2TEMP"

elapsed time 00:00:00.2419219s for command "cmd" /c subst Y: "C:\Users\daniel.cleaton\AppData\Local\GameMakerStudio2\GMS2TEMP" started at 01/07/2020 17:23:30
"cmd"  /c subst X: "C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.2.5.378"

elapsed time 00:00:00.2399231s for command "cmd" /c subst X: "C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.2.5.378" started at 01/07/2020 17:23:30
Saving project to: C:\Users\daniel.cleaton\OneDrive\OneDrive - Playtech\testGamepads\testGamepads.yyp
"C:\ProgramData/GameMakerStudio2/Cache/runtimes\runtime-2.2.5.378/bin/Igor.exe"  -j=8 -options="C:\Users\daniel.cleaton\AppData\Local\GameMakerStudio2\GMS2TEMP\build.bff" -v -- WinUWP Run

Loaded Macros from C:\Users\daniel.cleaton\AppData\Roaming\GameMakerStudio2\Cache\GMS2CACHE\testGamepa_B69806_754A2D8D\macros.json
Options: X:/bin\platform_setting_defaults.json
Options: C:\Users\daniel.cleaton\AppData\Roaming/GameMakerStudio2\daniel_50\local_settings.json
Options: C:\Users\daniel.cleaton\AppData\Roaming\GameMakerStudio2\Cache\GMS2CACHE\testGamepa_B69806_754A2D8D\targetoptions.json
X://bin/GMAssetCompiler.exe  /c /zpex /iv=0 /rv=0 /bv=0 /j=8  /gn="testGamepads" /td="Y:/" /cd="Z:/testGamepa_B69806_754A2D8D" /zpuf="C:\Users\daniel.cleaton\AppData\Roaming/GameMakerStudio2\daniel_50" /m=winUAP /tgt=35184372088832 /nodnd /cfg="default" /o="Y:/testGamepads_5477EB8E_VM" /sh=True /optionsini="Y:/testGamepads_5477EB8E_VM\options.ini"  /cvm /baseproject="X:/BaseProject\BaseProject.yyp" "C:\Users\daniel.cleaton\OneDrive\OneDrive - Playtech\testGamepads\testGamepads.yyp" /v  /preprocess="Z:/testGamepa_B69806_754A2D8D"
Reading project file....C:\Users\daniel.cleaton\OneDrive\OneDrive - Playtech\testGamepads
Reading project file....X:\BaseProject
Reading config delta 'C:\Users\daniel.cleaton\OneDrive\OneDrive - Playtech\testGamepads\options\main\inherited\options_main.inherited.yy'
finished.


X://bin/GMAssetCompiler.exe DONE (0)
Debug build
Options: Z:/testGamepa_B69806_754A2D8D\PlatformOptions.json
Options: Z:/testGamepa_B69806_754A2D8D\MainOptions.json
Options: Z:/testGamepa_B69806_754A2D8D\ExtensionOptions.json
pkgname is YourPackageName
Package full name is : YourPackageName_1.0.0.0_x64__ry4dcfwkadf3m
[Compile] Run asset compiler
X://bin/GMAssetCompiler.exe  /c /zpex /iv=0 /rv=0 /bv=0 /j=8  /gn="testGamepads" /td="Y:/" /cd="Z:/testGamepa_B69806_754A2D8D" /zpuf="C:\Users\daniel.cleaton\AppData\Roaming/GameMakerStudio2\daniel_50" /m=winUAP /tgt=35184372088832 /nodnd /cfg="default" /o="Y:/testGamepads_5477EB8E_VM" /sh=True /optionsini="Y:/testGamepads_5477EB8E_VM\options.ini"  /cvm /baseproject="X:/BaseProject\BaseProject.yyp" "C:\Users\daniel.cleaton\OneDrive\OneDrive - Playtech\testGamepads\testGamepads.yyp" /v  /dbgp=6509 /debug /nofs /optionsini="Y:/testGamepads_5477EB8E_VM\options.ini"  /bt=run /rt=vm
Reading project file....C:\Users\daniel.cleaton\OneDrive\OneDrive - Playtech\testGamepads
Reading project file....X:\BaseProject
Reading config delta 'C:\Users\daniel.cleaton\OneDrive\OneDrive - Playtech\testGamepads\options\main\inherited\options_main.inherited.yy'
finished.
Compile Constants...finished.
Remove DnD...finished.
Compile Scripts...finished.
Compile Objects...finished.
Compile Timelines...finished.
Compile Triggers...finished.
Compile Rooms...finished.
Compile Extensions...finished.
Global scripts...finished.
finished.
collapsing enums.
Final Compile...finished.
Saving IFF file... Y:/testGamepads_5477EB8E_VM\testGamepads.win
Writing Chunk... GEN8
option_game_speed=60
Writing Chunk... OPTN
Writing Chunk... LANG
Writing Chunk... EXTN
Writing Chunk... SOND
Writing Chunk... AGRP
Writing Chunk... SPRT
Writing Chunk... BGND
Writing Chunk... PATH
Writing Chunk... SCPT
Writing Chunk... GLOB
Writing Chunk... SHDR
Writing Chunk... FONT
Writing Chunk... TMLN
Writing Chunk... OBJT
Writing Chunk... ROOM
Writing Chunk... DAFL
Writing Chunk... EMBI
Writing Chunk... TPAGE
Texture Group - Default
Writing Chunk... TGIN
Writing Chunk... CODE
Writing Chunk... VARI
Writing Chunk... FUNC
Writing Chunk... STRG
Writing Chunk... TXTR
0 Compressing texture... writing texture texture_0.png... 
Writing Chunk... AUDO
Writing Chunk... SCPT
Writing Chunk... DBGI
Writing Chunk... INST
Writing Chunk... LOCL
Writing Chunk... STRG
Stats : GMA : Elapsed=487.3469
Stats : GMA : sp=1,au=0,bk=0,pt=0,sc=1,sh=0,fo=0,tl=0,ob=2,ro=1,da=0,ex=0,ma=3,fm=0xA00008240224


X://bin/GMAssetCompiler.exe DONE (0)
Publisher Name:CN=Sandbox
C:/Program Files (x86)/Windows Kits/10/bin/x86\makepri.exe new /pr "Y:/testGamepads_5477EB8E_VM\uwppackage" /cf "X:/WindowsUAP\bin\priconfig.xml"  /mn "Y:/testGamepads_5477EB8E_VM\uwppackage\AppxManifest.xml" /of "Y:/testGamepads_5477EB8E_VM\uwppackage\resources.pri" /o 
MakePri: warning: Output location of PRI file(s) is detected to be under the project root. If previously generated PRI file(s) are present, these may be re-indexed and lead to unexpected results.

Index Pass Completed.

Scale Qualifiers: 100



Finished building

Version: 1.0

Resource Map Name: YourPackageName

Named Resources: 28



Resource File: resources.pri

Version: 1.0

Resource Candidates: 28

Scale Qualifiers: 100



Successfully Completed




C:/Program Files (x86)/Windows Kits/10/bin/x86\makepri.exe DONE (0)
C:\WINDOWS\system32\cmd.exe /c ""C:/Program Files (x86)/Windows Kits/10/bin/x86\makeappx.exe" pack /v /l /o /d "Y:/testGamepads_5477EB8E_VM\uwppackage" /p "Y:/testGamepads_5477EB8E_VM\testGamepads.appx""
Microsoft (R) MakeAppx Tool

Copyright (C) 2013 Microsoft.  All rights reserved.



Option /v specified, switching to verbose output.

Option /o specified, existing files will be overwritten.

Option /l specified, the existence of resource file variations will not be verified.

Using default hash method: SHA256.

The path (/p) parameter is: "Y:/testGamepads_5477EB8E_VM\testGamepads.appx"

The content directory (/d) parameter is: "Y:/testGamepads_5477EB8E_VM\uwppackage"

Enumerating files from directory "Y:/testGamepads_5477EB8E_VM\uwppackage"

MakeAppx : warning: Ignoring footprint file "AppxBlockMap.xml".

MakeAppx : warning: Ignoring footprint file "AppxMetadata\CodeIntegrity.cat".

MakeAppx : warning: Ignoring footprint file "AppxSignature.p7x".

MakeAppx : warning: Ignoring footprint file "[Content_Types].xml".

Packing 23 file(s) in "Y:/testGamepads_5477EB8E_VM\uwppackage" (content directory) to "Y:/testGamepads_5477EB8E_VM\testGamepads.appx" (output file name).

Using "Y:\testGamepads_5477EB8E_VM\uwppackage\AppxManifest.xml" as the manifest for the package.

Settings for extension png: Type = image/png, Compression = None.

Adding "Y:\testGamepads_5477EB8E_VM\uwppackage\Assets\LargeLogo.scale-100.png" to the package as a payload file.  Its path in the package is "Assets\LargeLogo.scale-100.png".

Settings for extension png: Type = image/png, Compression = None.

Adding "Y:\testGamepads_5477EB8E_VM\uwppackage\Assets\Logo.scale-100.png" to the package as a payload file.  Its path in the package is "Assets\Logo.scale-100.png".

Settings for extension png: Type = image/png, Compression = None.

Adding "Y:\testGamepads_5477EB8E_VM\uwppackage\Assets\SmallishLogo.scale-100.png" to the package as a payload file.  Its path in the package is "Assets\SmallishLogo.scale-100.png".

Settings for extension png: Type = image/png, Compression = None.

Adding "Y:\testGamepads_5477EB8E_VM\uwppackage\Assets\SmallLogo.scale-100.png" to the package as a payload file.  Its path in the package is "Assets\SmallLogo.scale-100.png".

Settings for extension png: Type = image/png, Compression = None.

Adding "Y:\testGamepads_5477EB8E_VM\uwppackage\Assets\StoreLogo.scale-100.png" to the package as a payload file.  Its path in the package is "Assets\StoreLogo.scale-100.png".

Settings for extension png: Type = image/png, Compression = None.

Adding "Y:\testGamepads_5477EB8E_VM\uwppackage\Assets\WideLogo.scale-100.png" to the package as a payload file.  Its path in the package is "Assets\WideLogo.scale-100.png".

Settings for extension png: Type = image/png, Compression = None.

Adding "Y:\testGamepads_5477EB8E_VM\uwppackage\Assets\SplashScreen.scale-100.png" to the package as a payload file.  Its path in the package is "Assets\SplashScreen.scale-100.png".

Settings for extension dll: Type = application/x-msdownload, Compression = Normal.

Adding "Y:\testGamepads_5477EB8E_VM\uwppackage\game.dll" to the package as a payload file.  Its path in the package is "game.dll".

Settings for extension cso: Type = application/octet-stream, Compression = Normal.

Adding "Y:\testGamepads_5477EB8E_VM\uwppackage\SVN_Lit_PixelShader.cso" to the package as a payload file.  Its path in the package is "SVN_Lit_PixelShader.cso".

Settings for extension cso: Type = application/octet-stream, Compression = Normal.

Adding "Y:\testGamepads_5477EB8E_VM\uwppackage\SVN_Lit_VertexShader.cso" to the package as a payload file.  Its path in the package is "SVN_Lit_VertexShader.cso".

Settings for extension cso: Type = application/octet-stream, Compression = Normal.

Adding "Y:\testGamepads_5477EB8E_VM\uwppackage\SVN_PixelShader.cso" to the package as a payload file.  Its path in the package is "SVN_PixelShader.cso".

Settings for extension cso: Type = application/octet-stream, Compression = Normal.

Adding "Y:\testGamepads_5477EB8E_VM\uwppackage\SVS_PixelShader.cso" to the package as a payload file.  Its path in the package is "SVS_PixelShader.cso".

Settings for extension cso: Type = application/octet-stream, Compression = Normal.

Adding "Y:\testGamepads_5477EB8E_VM\uwppackage\SVN_VertexShader.cso" to the package as a payload file.  Its path in the package is "SVN_VertexShader.cso".

Settings for extension cso: Type = application/octet-stream, Compression = Normal.

Adding "Y:\testGamepads_5477EB8E_VM\uwppackage\SVS_VertexShader.cso" to the package as a payload file.  Its path in the package is "SVS_VertexShader.cso".

Settings for extension cso: Type = application/octet-stream, Compression = Normal.

Adding "Y:\testGamepads_5477EB8E_VM\uwppackage\SV_PixelShader.cso" to the package as a payload file.  Its path in the package is "SV_PixelShader.cso".

Settings for extension cso: Type = application/octet-stream, Compression = Normal.

Adding "Y:\testGamepads_5477EB8E_VM\uwppackage\SV_VertexShader.cso" to the package as a payload file.  Its path in the package is "SV_VertexShader.cso".

Settings for extension exe: Type = application/x-msdownload, Compression = Normal.

Adding "Y:\testGamepads_5477EB8E_VM\uwppackage\WinUAPRunner.exe" to the package as a payload file.  Its path in the package is "WinUAPRunner.exe".

Settings for extension winmd: Type = application/octet-stream, Compression = Normal.

Adding "Y:\testGamepads_5477EB8E_VM\uwppackage\WinUAPRunner.winmd" to the package as a payload file.  Its path in the package is "WinUAPRunner.winmd".

Settings for extension ini: Type = application/octet-stream, Compression = Normal.

Adding "Y:\testGamepads_5477EB8E_VM\uwppackage\Assets\options.ini" to the package as a payload file.  Its path in the package is "Assets\options.ini".

Settings for extension win: Type = application/octet-stream, Compression = Normal.

Adding "Y:\testGamepads_5477EB8E_VM\uwppackage\Assets\game.win" to the package as a payload file.  Its path in the package is "Assets\game.win".

Settings for extension yydebug: Type = application/octet-stream, Compression = Normal.

Adding "Y:\testGamepads_5477EB8E_VM\uwppackage\Assets\game.yydebug" to the package as a payload file.  Its path in the package is "Assets\game.yydebug".

Settings for extension pri: Type = application/octet-stream, Compression = Normal.

Adding "Y:\testGamepads_5477EB8E_VM\uwppackage\resources.pri" to the package as a payload file.  Its path in the package is "resources.pri".

Package creation succeeded.



C:\WINDOWS\system32\cmd.exe DONE (0)
C:\WINDOWS\system32\cmd.exe /c ""C:/Program Files (x86)/Windows Kits/10/bin/x86\signtool.exe" sign /a /v /fd SHA256 /f "X:/\BaseProject\options\windowsuap\keys\WinUWPRunner_TemporaryKey.pfx" "Y:/testGamepads_5477EB8E_VM\testGamepads.appx""
The following certificate was selected:
    Issued to: Sandbox

    Issued by: Sandbox

    Expires:   Thu Dec 30 23:00:00 2100

    SHA1 hash: C87C1BB80B2048BBDAA8A331A20F32402109B863


Done Adding Additional Store
Successfully signed: Y:/testGamepads_5477EB8E_VM\testGamepads.appx


Number of files successfully Signed: 1

Number of warnings: 0

Number of errors: 0



C:\WINDOWS\system32\cmd.exe DONE (0)
Package full name is : YourPackageName_1.0.0.0_x64__ry4dcfwkadf3m
{"Reason" : "Deploy request accepted and being processed"}



Igor complete.
[Debugger]target=C:\Users\daniel.cleaton\AppData\Local\Packages\YourPackageName_ry4dcfwkadf3m\TempState,yydebug="C:\Users\daniel.cleaton\AppData\Local\GameMakerStudio2\GMS2TEMP\game.yydebug",fp
Igor complete.
elapsed time 00:00:11.6490368s for command "C:\ProgramData/GameMakerStudio2/Cache/runtimes\runtime-2.2.5.378/bin/Igor.exe" -j=8 -options="C:\Users\daniel.cleaton\AppData\Local\GameMakerStudio2\GMS2TEMP\build.bff" -v -- WinUWP Run started at 01/07/2020 17:23:31
"cmd"  /c subst Z: /d

elapsed time 00:00:00.2489207s for command "cmd" /c subst Z: /d started at 01/07/2020 17:23:42
"cmd"  /c subst Y: /d

elapsed time 00:00:00.2369244s for command "cmd" /c subst Y: /d started at 01/07/2020 17:23:43
"cmd"  /c subst X: /d

elapsed time 00:00:00.2464246s for command "cmd" /c subst X: /d started at 01/07/2020 17:23:43
SUCCESS: Run Program Complete
UWPDebuggerLog.txt (14,153 bytes)